Subject: Re: bug#62994: [PATCH v8] Add support for colored and styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Apr 2024 10:25:41 +0300

> From: Po Lu <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Mohsin Kaleem <[email-masked]>,
>   [email-masked]
> Date: Mon, 29 Apr 2024 12:52:52 +0800
> 
> Jim Porter <[email-masked]> writes:
> 
> > Having support for this on X and PGTK (not to mention Android and
> > Haiku) is probably enough though; MS-Windows and Nextstep are just
> > "nice to have" in my opinion.
> 
> I get the impression that inconsistent feature support between the
> various GUI backends is a significant contributor to the bad publicity
> we receive in some quarters as to our attitude towards the, if you will,
> neglected, operating system ports.  Strictly speaking, all systems
> besides X are organized on a "nice to have" basis, but for publicity's
> sake they ought to receive these basic display features as well.

One counter-example is the non-support for stipple in the w32 port.

Patches to add that are welcome, of course.